|  | Home · All Classes · Modules

# QMatrix4x3 Class Reference
[QtGui module]

### Methods

- __init__ (self)
- __init__ (self, QMatrix4x3 other)
- __init__ (self, object values)
- list copyDataTo (self)
- list data (self)
- fill (self, float value)
- bool isIdentity (self)
- setToIdentity (self)
- QMatrix3x4 transposed (self)

### Special Methods

- bool __eq__ (self, QMatrix4x3)
- object __getitem__ (self, object)
- QMatrix4x3 __iadd__ (self, QMatrix4x3)
- QMatrix4x3 __idiv__ (self, float)
- QMatrix4x3 __imul__ (self, float)
- QMatrix4x3 __isub__ (self, QMatrix4x3)
- bool __ne__ (self, QMatrix4x3)
- object __repr__ (self)
- __setitem__ (self, object, float)

## Detailed Description

This class can be pickled.

## Method Documentation

### QMatrix4x3.__init__ (self)

### QMatrix4x3.__init__ (self, QMatrix4x3 other)

### QMatrix4x3.__init__ (self, object values)

### list QMatrix4x3.copyDataTo (self)

### list QMatrix4x3.data (self)

### QMatrix4x3.fill (self, float value)

### bool QMatrix4x3.isIdentity (self)

### QMatrix4x3.setToIdentity (self)

### QMatrix3x4 QMatrix4x3.transposed (self)

### bool QMatrix4x3.__eq__ (self, QMatrix4x3)

### object QMatrix4x3.__getitem__ (self, object)

### QMatrix4x3 QMatrix4x3.__iadd__ (self, QMatrix4x3)

### QMatrix4x3 QMatrix4x3.__idiv__ (self, float)

### QMatrix4x3 QMatrix4x3.__imul__ (self, float)

### QMatrix4x3 QMatrix4x3.__isub__ (self, QMatrix4x3)

### bool QMatrix4x3.__ne__ (self, QMatrix4x3)

### object QMatrix4x3.__repr__ (self)

### QMatrix4x3.__setitem__ (self, object, float)